3 Replies Latest reply on Jun 2, 2007 3:10 AM by Dan Liu

    migration concerns. Seam 1.3 + Jboss 4.2 +?

    Dan Liu Apprentice

      I'm currently using Seam 1.2.1 GA + JBoss 4.0.5 JEMS + MyFaces 1.1.4 + Tomahawk 1.1.3. Once Seam 1.3 is release, I'll have to upgrade everything (Seam1.3+JBoss4.2+?). Since Seam 1.3 is mainly tested with JSF 1.2 Sun RI, using MyFaces 1.1.5 seems not a good choice anymore(I've seen people having problems with MyFaces1.1.5 using cvs build). However, Tomahawk 1.1.5 seems only works with MyFaces1.1.5. This makes our migration process very difficult. I know Seam team always recommend not using tomahawk but there are some un-replaceable features in tomahawk that no one else provide.

      Are there anyone having same problem as we do? how are you gonna solve this problem? should we use MyFaces1.1.5 or Sun JSF 1.2 if we wanna keep tomahawk?

        • 1. Re: migration concerns. Seam 1.3 + Jboss 4.2 +?
          Fernando Montaño Expert

          AFAIK, since Tomahawk 1.1.3 you can use it in any JSF implementation. So I think you can use it with JSF RI. The only thing you need to care about is that Tomahawk 1.1.3 is for JSF 1.1, and Seam 1.3 will use JSF 1.2, this means you could also need to have a Tomahawk version which is compliant with JSF 1.2 (See Myfaces site).


          HTH.

          • 2. Re: migration concerns. Seam 1.3 + Jboss 4.2 +?
            Gavin King Master

            If MyFaces is truly JSF 1.2 compatible, Seam should run with MyFaces. The only thing that won't work (at least initially) is jboss-el, since there is no standard way to swap the EL implementation in the spec. If MyFaces provides a way to make this pluggable, even that should be doable.

            • 3. Re: migration concerns. Seam 1.3 + Jboss 4.2 +?
              Dan Liu Apprentice

              Thanks for your help.

              We just noticed we have a few jsf components that directly cooperate with myfaces components. In this case, we have to stick to myfaces. I've spent a whole trying to get our app working with Jboss4.2+Seam1.3CVSBuild+MyFaces1.1.5+Tomahawk1.1.5, but with no luck. Maybe myfaces is not truly jsf 1.2 compatible. Our site will go alive in a few weeks time. I guess the only solution is to wait until myfaces group releases a new version that is compatible with Seam1.3.